Bug 2003387 - Fix Jam spin (drop tuxguitar, rebuild backgrounds and kde-theme packages)
Summary: Fix Jam spin (drop tuxguitar, rebuild backgrounds and kde-theme packages)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: distribution
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Cotton
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1996449
Blocks: F35BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2021-09-11 18:59 UTC by Kevin Fenzi
Modified: 2021-09-16 23:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-16 23:56:21 UTC
Type: Bug


Attachments (Terms of Use)

Description Kevin Fenzi 2021-09-11 18:59:46 UTC
tuxguitar is broken and won't install ( see rhbz#1996449 ). 

Until it is fixed, just drop it from the jam_kde kickstart. This will allow this lab to compose for beta and it can be re-added before final (or just dropped from comps if it's not fixed).

Comment 1 Fedora Blocker Bugs Application 2021-09-11 19:01:35 UTC
Proposed as a Freeze Exception for 35-beta by Fedora user kevin using the blocker tracking app because:

 Merge https://pagure.io/fedora-kickstarts/pull-request/843 to drop tuxguitar from the jam_kde spin for now. This should get it to compose for beta. 

It would be nice to have it for beta. :)

Comment 2 Adam Williamson 2021-09-12 06:45:13 UTC
It won't allow it to compose, because there are some more awkward problems too:

2021-09-11 10:37:32,973 INFO pylorax: Problems in request:
2021-09-11 10:37:32,973 INFO pylorax: missing packages: fedora-jam-backgrounds, fedora-jam-kde-theme

those packages got retired because they were orphaned for too long, so they need to be re-reviewed and resurrected. until that happens the spin can't live again. I brought this up on devel@ several weeks ago, but it doesn't seem to have been done yet, which is why I wasn't bothering to put a rush on the tuxguitar thing.

Comment 3 Zbigniew Jędrzejewski-Szmek 2021-09-12 06:46:55 UTC
It is missing eclipse-swt, so it's likely to remain broken… Dropping it from the spin
seems reasonable.

Comment 4 Kevin Fenzi 2021-09-12 16:37:42 UTC
(In reply to Adam Williamson from comment #2)
> It won't allow it to compose, because there are some more awkward problems
> too:
> 
> 2021-09-11 10:37:32,973 INFO pylorax: Problems in request:
> 2021-09-11 10:37:32,973 INFO pylorax: missing packages:
> fedora-jam-backgrounds, fedora-jam-kde-theme
> 
> those packages got retired because they were orphaned for too long, so they
> need to be re-reviewed and resurrected. until that happens the spin can't
> live again. I brought this up on devel@ several weeks ago, but it doesn't
> seem to have been done yet, which is why I wasn't bothering to put a rush on
> the tuxguitar thing.

I thought that was done... at least the packages are unretired now: 
https://pagure.io/releng/issue/10274
https://pagure.io/releng/issue/10275
but I guess they just need builds/updates...

Comment 5 Zbigniew Jędrzejewski-Szmek 2021-09-12 18:20:55 UTC
https://koji.fedoraproject.org/koji/packageinfo?packageID=15047 don't show no builds.

Comment 6 Adam Williamson 2021-09-15 15:13:30 UTC
ah, but at least if they're unretired, we can do the builds quite easily in theory.

Comment 7 Adam Williamson 2021-09-15 15:14:32 UTC
Geoff, please remember to document when you're accepting a blocker or FE, there is no link to the meeting or ticket here. It seems to be https://pagure.io/fedora-qa/blocker-review/issue/450 for the record.

Comment 8 Adam Williamson 2021-09-15 16:45:30 UTC
I'm retconning the topic here to match what we actually want to do, so I can submit an update with the backgrounds and theme packages and mark it as related to the bug.

Comment 9 Fedora Update System 2021-09-15 16:48:13 UTC
FEDORA-2021-91731fba9a has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-91731fba9a

Comment 10 Adam Williamson 2021-09-15 20:48:52 UTC
I merged the PR, so just the update should be sufficient to fix this now.

Comment 11 Fedora Update System 2021-09-16 17:01:22 UTC
FEDORA-2021-91731fba9a has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-91731fba9a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-91731fba9a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-09-16 23:56:21 UTC
FEDORA-2021-91731fba9a has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.